<?php
/**
 *
 * @package Medex Lite
 *
 */

get_header(); ?>

<?php

/**********
* Slider Sections
**********/

if( is_home() || is_front_page() ){
  $disablebanner = get_theme_mod( 'disable_slider', '1' );
  if( $disablebanner == '' ){
    $medex_lite_pages = array();
    for( $bnr=1; $bnr<4; $bnr++ ) {
      $getbnr = absint( get_theme_mod('slider-slide'.$bnr));
      if ( 'page-none-selected' != $getbnr ) {
        $medex_lite_pages[] = $getbnr;
      }
    }
    if( !empty($medex_lite_pages) ) :
      $args = array(
        'posts_per_page' => 3,
        'post_type' => 'page',
        'post__in' => $medex_lite_pages,
        'orderby' => 'post__in'
      );
      $query = new WP_Query( $args );
      if ( $query->have_posts() ) : 
      $bnr = 1;
?>
<div class="home-banner">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
      <?php
        $i = 0;
        while ( $query->have_posts() ) : $query->the_post();
          $i++;
          $medex_lite_slideno[] = $i;
          $medex_lite_slidetitle[] = get_the_title();
          $medex_lite_slidedesc[] = get_the_excerpt();
          $medex_lite_slidelink[] = esc_url(get_permalink());
          ?>
          <img src="<?php the_post_thumbnail_url('full'); ?>" title="#slidecaption<?php echo esc_attr( $i ); ?>" />
          <?php
          $bnr++;
        endwhile;
      ?>
    </div><!-- nivoslider -->

    <?php
      $k = 0;
      foreach( $medex_lite_slideno as $medex_lite_sln ){ ?>
      <div id="slidecaption<?php echo esc_attr( $medex_lite_sln ); ?>" class="nivo-html-caption">
        <?php
          if( get_theme_mod('slide_subheading') != '' ){
            echo '<h4>'.get_theme_mod('slide_subheading').'</h4>';
          }
        ?>
        <h2><a href="<?php echo esc_url($medex_lite_slidelink[$k] ); ?>"><?php echo esc_html($medex_lite_slidetitle[$k] ); ?></a></h2>
        <p><?php echo esc_html($medex_lite_slidedesc[$k] ); ?></p>
        <?php
          if( get_theme_mod('slide_moretext',__('Learn More','medex-lite') != '' )){
        ?>
          <a class="slide-button" href="<?php echo esc_url($medex_lite_slidelink[$k] ); ?>">
            <?php echo esc_html(get_theme_mod('slide_moretext',__('Lear More','medex-lite')));?>
          </a>
        <?php
          }
        ?>
      </div>
      <?php $k++;
      wp_reset_postdata();
      } 
      endif; 
      endif; 
    ?>
  </div><!-- slider wrapper -->
</div><!-- home banner -->
<?php  }
}

/**
** Home Page Section
*/

$disablefeat = get_theme_mod( 'hide_feat','1' );
if( $disablefeat == '' ){
  echo '<div class="feat-boxes"><div class="align-content">';
    for( $f = 1; $f<5; $f++ ) {
      if( get_theme_mod( 'feat-page'.$f,true ) !='' ){
        $feat_query = new WP_Query( array( 'page_id' => get_theme_mod( 'feat-page'.$f ) ) );
        while( $feat_query->have_posts() ) : $feat_query->the_post();
          echo '<div class="boxes '.($f%2 ? 'odd':'even').'"><div class="inner"><div class="boxes-thumb">'.get_the_post_thumbnail().'</div><!-- boxes - thumb --><div class="boxes-content"><h3>'.get_the_title().'</h3><p>'.get_the_excerpt().'</p>'.( get_theme_mod('feat_more') != '' ? '<a href="'.get_the_permalink().'" class="feat-more">'.get_theme_mod('feat_more').'</a>':'').'</div><!-- boxes - content --></div><!-- inner --></div><!-- boxes -->';
        endwhile;
      }
    }
  echo '</div></div>';
}

$disableintro = get_theme_mod('hide_intro','1');
if( $disableintro == '' ){
  echo '<div class="introduction-section"><div class="wrapper"><div class="align-content align-center">';
    if( get_theme_mod( 'intro-page1',true ) !='' ){
      $intro_query = new WP_Query(array('page_id' => get_theme_mod( 'intro-page1' )));
      while( $intro_query->have_posts() ) : $intro_query->the_post();
        echo '<div class="col"><div class="intro-content"><h2>'.get_the_title().'</h2><p>'.get_the_excerpt().'</p>'.( get_theme_mod('intro_more') != '' ? '<a href="'.get_the_permalink().'" class="intro-more">'.get_theme_mod('intro_more').'</a>':'').'</a></div></div><div class="col"><div class="intro-thumb">'.get_the_post_thumbnail().'</div></div>';
      endwhile;
    }
  echo '</div></div></div>';
}

?>

<div class="main-container">
  <div class="content-area">
    <div class="middle-align content_sidebar">
        <div class="site-main" id="sitemain">
          <?php
            if ( have_posts() ) :
              // Start the Loop.
              while ( have_posts() ) : the_post();
                /*
                * Include the post format-specific template for the content. If you want to
                * use this in a child theme, then include a file called called content-___.php
                * (where ___ is the post format) and that will be used instead.
                */
                get_template_part( 'content-page', get_post_format() );

              endwhile;
                // Previous/next post navigation.
                the_posts_pagination();
                wp_reset_postdata();

              else :
                // If no content, include the "No posts found" template.
                get_template_part( 'no-results' );

            endif;
          ?>
        </div>
        <?php get_sidebar();?>
        <div class="clear"></div>
    </div>
  </div>
<?php get_footer(); ?>