<?php
/**
 * Medex Lite Theme Customizer
 *
 * @package Medex Lite
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function medex_lite_customize_register( $wp_customize ) {
	
function medex_lite_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
	$wp_customize->get_setting( 'blogname' )->medex_lite         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->medex_lite  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
	    'selector' => '.site-title a',
	    'render_callback' => 'medex-lite_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
	    'selector' => '.site-title p',
	    'render_callback' => 'medex-lite_customize_partial_blogdescription',
	) );
		
	$wp_customize->add_setting('med_color_scheme', array(
		'default' => '#1bbde4',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'med_color_scheme',array(
			'label' => __('Color Scheme','medex-lite'),
			'description'	=> __('Select color from here.','medex-lite'),
			'section' => 'colors',
			'settings' => 'med_color_scheme'
		))
	);

	$wp_customize->add_setting('medtpheadbg-color', array(
		'default' => '#081839',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'medtpheadbg-color',array(
			'description'	=> __('Select background color for top header bar.','medex-lite'),
			'section' => 'colors',
			'settings' => 'medtpheadbg-color'
		))
	);
	
	$wp_customize->add_setting('med_headerbg-color', array(
		'default' => '#ffffff',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'med_headerbg-color',array(
			'description'	=> __('Select background color for header.','medex-lite'),
			'section' => 'colors',
			'settings' => 'med_headerbg-color'
		))
	);

	$wp_customize->add_setting('med_headertxt-color', array(
		'default' => '#111709',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'med_headertxt-color',array(
			'description'	=> __('Select text color for navigation menu.','medex-lite'),
			'section' => 'colors',
			'settings' => 'med_headertxt-color'
		))
	);
	
	$wp_customize->add_setting('med_footer-color', array(
		'default' => '#1bbde4',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'med_footer-color',array(
			'description'	=> __('Select background color for footer.','medex-lite'),
			'section' => 'colors',
			'settings' => 'med_footer-color'
		))
	);

	/**
	**	Top Header Start
	**/

	$wp_customize->add_section(
        'topbar_header',
        array(
            'title' => __('Top Header Bar', 'medex-lite'),
            'priority' => null,
			'description'	=> __('Add header top bar info here.','medex-lite'),	
        )
    );

    $wp_customize->add_setting('toll-free',array(
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('toll-free',array(
			'type'	=> 'text',
			'label'	=> __('Add toll free phone number here','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('get-appo',array(
			'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('get-appo',array(
			'type'	=> 'text',
			'label'	=> __('Add appointment button text here','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('appo-link',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('appo-link',array(
			'type'	=> 'url',
			'label'	=> __('Add appointment button link here','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('med-fblink',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('med-fblink',array(
			'type'	=> 'url',
			'label'	=> __('Add facebook link here.','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('med-twlink',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('med-twlink',array(
			'type'	=> 'url',
			'label'	=> __('Add twitter link here.','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('med-inlink',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('med-inlink',array(
			'type'	=> 'url',
			'label'	=> __('Add instagram link here.','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('med-lkinlink',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('med-lkinlink',array(
			'type'	=> 'url',
			'label'	=> __('Add linkedin link here.','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('med-gplslink',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('med-gplslink',array(
			'type'	=> 'url',
			'label'	=> __('Add google plus link here.','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('med-ytubelink',array(
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('med-ytubelink',array(
			'type'	=> 'url',
			'label'	=> __('Add youtube channel link here.','medex-lite'),
			'section'	=> 'topbar_header'
	));

	$wp_customize->add_setting('disable_topbar',array(
			'default' => true,
			'sanitize_callback' => 'medex_lite_sanitize_checkbox',
			'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'disable_topbar', array(
		   'settings' => 'disable_topbar',
    	   'section'   => 'topbar_header',
    	   'label'     => __('Check this to hide section.','medex-lite'),
    	   'type'      => 'checkbox'
     ));

	/**
	**	Slider Start
	**/

	$wp_customize->add_section(
        'slider_rotator',
        array(
            'title' => __('Slider', 'medex-lite'),
            'priority' => null,
			'description'	=> __('Recommended image size (1420x720). Slider will work only when you select the static front page.','medex-lite'),	
        )
    );

    $wp_customize->add_setting('slide_subheading',array(
		'default'	=> __('Welcome To MeDex','medex-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('slide_subheading',array(
		'label'	=> __('Add slide sub heading text.','medex-lite'),
		'section'	=> 'slider_rotator',
		'setting'	=> 'slide_subheading',
		'type'	=> 'text'
	));

    $wp_customize->add_setting('slider-slide1',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('slider-slide1',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide one:','medex-lite'),
			'section'	=> 'slider_rotator'
	));

	$wp_customize->add_setting('slider-slide2',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('slider-slide2',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide two:','medex-lite'),
			'section'	=> 'slider_rotator'
	));

	$wp_customize->add_setting('slider-slide3',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('slider-slide3',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide three:','medex-lite'),
			'section'	=> 'slider_rotator'
	));

	$wp_customize->add_setting('slide_moretext',array(
		'default'	=> __('Learn More','medex-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('slide_moretext',array(
		'label'	=> __('Add slider button text.','medex-lite'),
		'section'	=> 'slider_rotator',
		'setting'	=> 'slide_moretext',
		'type'	=> 'text'
	));
	
	$wp_customize->add_setting('disable_slider',array(
		'default' => true,
		'sanitize_callback' => 'medex_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	)); 

	$wp_customize->add_control( 'disable_slider', array(
	   'settings' => 'disable_slider',
	   'section'   => 'slider_rotator',
	   'label'     => __('Check this to hide slider.','medex-lite'),
	   'type'      => 'checkbox'
    ));

    /**
	**	Setting up HomePage
	**/

	$wp_customize->add_section(
        'featured_boxes',
        array(
            'title' => __('Homepage Featured Boxes', 'medex-lite'),
            'priority' => null,
			'description'	=> __('Select pages for display content in homepage. This section will be displayed only when you select the static front page.','medex-lite'),	
        )
    );

    $wp_customize->add_setting('feat-page1',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('feat-page1',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for first box','medex-lite'),
			'section'	=> 'featured_boxes'
	));

	$wp_customize->add_setting('feat-page2',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('feat-page2',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for second box','medex-lite'),
			'section'	=> 'featured_boxes'
	));

	$wp_customize->add_setting('feat-page3',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('feat-page3',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for third box','medex-lite'),
			'section'	=> 'featured_boxes'
	));

	$wp_customize->add_setting('feat-page4',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('feat-page4',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for fourth box','medex-lite'),
			'section'	=> 'featured_boxes'
	));

	$wp_customize->add_setting('feat_more',array(
		'default'	=> __('Read More','medex-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('feat_more',array(
		'label'	=> __('Add read more button text.','medex-lite'),
		'section'	=> 'featured_boxes',
		'setting'	=> 'feat_more',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('hide_feat',array(
			'default' => true,
			'sanitize_callback' => 'medex_lite_sanitize_checkbox',
			'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'hide_feat', array(
		   'settings' => 'hide_feat',
    	   'section'   => 'featured_boxes',
    	   'label'     => __('Check this to hide section.','medex-lite'),
    	   'type'      => 'checkbox'
     ));

	/**
	**	Setting up HomePage
	**/

	$wp_customize->add_section(
        'introduction_para',
        array(
            'title' => __('Homepage Introduction Section', 'medex-lite'),
            'priority' => null,
			'description'	=> __('Select page for display content in homepage. This section will be displayed only when you select the static front page.','medex-lite'),	
        )
    );

    $wp_customize->add_setting('intro-page1',array(
			'default' => '0',
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('intro-page1',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for introduction section','medex-lite'),
			'section'	=> 'introduction_para'
	));

	$wp_customize->add_setting('intro_more',array(
		'default'	=> __('Read More','medex-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('intro_more',array(
		'label'	=> __('Add read more button text.','medex-lite'),
		'section'	=> 'introduction_para',
		'setting'	=> 'feat_more',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('hide_intro',array(
			'default' => true,
			'sanitize_callback' => 'medex_lite_sanitize_checkbox',
			'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'hide_intro', array(
		   'settings' => 'hide_intro',
    	   'section'   => 'introduction_para',
    	   'label'     => __('Check this to hide section.','medex-lite'),
    	   'type'      => 'checkbox'
     ));
}
add_action( 'customize_register', 'medex_lite_customize_register' );	

function medex_lite_css(){
		?>
        <style>
        	.medex-topbar{
        		background-color:<?php echo esc_attr(get_theme_mod('medtpheadbg-color','#081839')); ?>;
        	}
			a, 
			.tm_client strong,
			.postmeta a:hover,
			#sidebar ul li a:hover,
			.blog-post h3.entry-title,
			a.blog-more:hover,
			#commentform input#submit,
			input.search-submit,
			.nivo-controlNav a.active,
			.blog-date .date,
			.sitenav ul li.current_page_item a, 
			.sitenav ul li a:hover, 
			.sitenav ul li.current_page_item ul li a:hover,
			.home-banner h4{
				color:<?php echo esc_attr(get_theme_mod('med_color_scheme','#1bbde4')); ?>;
			}
			.appointment a:hover{
				background-color:<?php echo esc_attr(get_theme_mod('medtpheadbg-color','#081839')); ?>;
				color:<?php echo esc_attr(get_theme_mod('med_color_scheme','#1bbde4')); ?>;
				border-color:<?php echo esc_attr(get_theme_mod('med_color_scheme','#1bbde4')); ?>;
			}
			.home-banner a.slide-button{
				border-color:<?php echo esc_attr(get_theme_mod('med_color_scheme','#1bbde4')); ?>;
			}
			h3.widget-title,
			.nav-links .current,
			.nav-links a:hover,
			p.form-submit input[type="submit"],
			.appointment a,
			.home-banner a.slide-button:hover,
			.boxes.odd,
			.intro-content a.intro-more,
			span.toll-free{
				background-color:<?php echo esc_attr(get_theme_mod('med_color_scheme','#1bbde4')); ?>;
			}
			#header,
			.sitenav ul li.menu-item-has-children:hover > ul,
			.sitenav ul li.menu-item-has-children:focus > ul,
			.sitenav ul li.menu-item-has-children.focus > ul{
				background-color:<?php echo esc_attr(get_theme_mod('med_headerbg-color','#ffffff')); ?>;
			}
			.sitenav ul li a,
			.sitenav ul li.current_page_item ul li a{
				color:<?php echo esc_attr(get_theme_mod('med_headertxt-color','#111709')); ?>;
			}
			.copyright-wrapper{
				background-color:<?php echo esc_attr(get_theme_mod('med_footer-color','#1bbde4')); ?>;
			}
				
		</style>
	<?php }
add_action('wp_head','medex_lite_css');

function medex_lite_customize_preview_js() {
	wp_enqueue_script( 'medex-lite-customize-preview', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'medex_lite_customize_preview_js' );